@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400;500&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

h2{
    font-size: 45px;
    font-family: Dancing Script;
    color: #f29b30;
    text-align: center;
}
p{
    font-size: 25px;
    font-family: Dancing Script;
    color:#663801 ;
    text-align: center;
    padding: 30px;
}
/*estilos header*/
header{
    width: 100%;
    height: auto;
    background-color: #f29b30; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
}
  
.logo-header{
    width: 100%;
    height: 100%;
    border-radius: 15px; 
}
  
header ul{
    width: 100%;
    height: 55%;
    display: flex;
    justify-content:space-between;
    align-items: center;
    list-style: none;
    font-size: 28px;
    margin-right: 150px;
    font-family: Dancing Script;
}
  
header a{
    text-decoration: none;
    color: #663801;
    padding: 10px;
    
}
  
header a:hover{
    background-color: #f2c438;
}

/*estilos del main*/

.fondo-inicio{
    background-image: url(../imagenes/fondob.png);
    background-size: 100% auto;
    background-repeat: no-repeat;
    width: 100%;
    height: 800px;
}
#inicio{
    font-family: Dancing Script;
    text-align: center;
    color: #f29b30;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.9);
    padding-top: 210px;
}
#inicio h1{
    font-size: 200px;
}
#inicio p{
    font-size: 100px;
    margin-bottom: 50px;
}

.button-menu{
    text-align: center;
    color: #7c4502;
    font-size: 60px;
    padding: 10px;
}


/*css sobre nosotros*/
.restaurante{
    padding: 40px;
}

/*css galeria*/

.img-container{
    display: flex;
    max-width: 100vw;
    width: 100%;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 28px;
    padding-bottom: 28px;
}

img{
    width: 550px;
    height: 320px;
    object-fit: cover;
    object-position: center;
    padding: 6px;
}

img:hover {
    cursor: pointer;
    opacity: 0.7;
    transform: scale(1.05); 
    transform: rotate(-1.2deg) scale(1.05);
    transition: 0.6s ease-out;
    filter: grayscale(0.9);
}
/*css reservas*/
.reservas{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding: 50px;
  }
  
  button{
    padding: 10px;
    font-size: 16px;
    font-weight: bold;
    border: none;
  }
  
  form{
    width: 400px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

button{
    background-color: #f2c438;
    color: #663801;
    border: none;
    padding: 10px 20px;
    font-size: 18px;
    border-radius: 9px;
    cursor: pointer;
}
button:hover{
    background-color: #f29b30;
}

/*estilos de la localizacion*/
iframe{
    width: 100%;
    height: 400px;
    padding: 40px 60px
}
  /*estilos del formulario*/

form{
    max-width: 400px;
    margin: 0 auto
}
form label{
    display: block;
    font-size: 18px;
    margin-bottom: 10px;
    color:#663801;
}
form input, textarea{
    display: block;
    width: 100%;
    padding: 10px;
    font-size: 15px;
    margin-bottom: 20px;
    border-radius: 10px;
    border: 2px solid  #663801;
}
button{
    background-color: #f2c438;
    color: #663801;
    border: none;
    padding: 10px 20px;
    font-size: 18px;
    border-radius: 9px;
    cursor: pointer;
}
button:hover{
    background-color: #f29b30;
}

#creditos ul, h3{
    font-family:Dancing Script;

}

#creditos li, h3{
    font-size: 15px;
    text-align: right;
    color:#663801
}


/*estilos del footer*/

.footer{
    background-color: #f29b30; 
}